Reveal contacts
curl --request POST \
--url https://storeinspect.com/api/v1/contacts/reveal \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"contact_ids": [
"<string>"
]
}
'import requests
url = "https://storeinspect.com/api/v1/contacts/reveal"
payload = { "contact_ids": ["<string>"] }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({contact_ids: ['<string>']})
};
fetch('https://storeinspect.com/api/v1/contacts/reveal', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"object": "contact_reveal_result",
"credits": {
"spent": 1,
"remaining": 1
},
"data": [
{
"id": "<string>",
"object": "contact",
"full_name": "<string>",
"first_name": "<string>",
"last_name": "<string>",
"title": "<string>",
"role": "<string>",
"linkedin_url": "<string>",
"charged": true,
"emails": [
{
"email": "<string>",
"status": "<string>",
"type": "<string>",
"is_primary": true
}
],
"phones": [
{
"phone": "<string>",
"type": "<string>",
"is_primary": true
}
],
"store": {
"id": "<string>",
"domain": "<string>",
"name": "<string>"
},
"revealed_at": "2023-11-07T05:31:56Z"
}
],
"request_id": "<string>"
}{
"error": {
"type": "quota_error",
"code": "insufficient_contact_credits",
"message": "You have used all 250 trial contact credits. Start paid Pro now to unlock 1000 monthly credits.",
"param": "contact_ids",
"billing": {
"action": "end_trial_to_unlock_pro_credits",
"current_limit": 250,
"paid_plan_limit": 1000,
"trial_ends_at": "2026-07-11T01:03:57.000Z",
"url": "https://storeinspect.com/dashboard/settings/billing"
},
"request_id": "req_abc123"
}
}Contacts
Reveal contacts
Reveals full contact identity and contact channels with shared contact credits and optional idempotency protection.
POST
/
contacts
/
reveal
Reveal contacts
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
Optional key used to safely retry a contact reveal request without spending credits twice.
Maximum string length:
255Body
application/json
Required array length:
1 - 10 elementsPattern:
^ct_[A-Za-z]+_[A-Za-z]{16}$Was this page helpful?
⌘I